Bug 49602 - exim4: Multiple issues (4.3)
exim4: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-4-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-06 09:06 CEST by Quality Assurance
Modified: 2019-06-12 16:44 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 9.0 (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2019-06-06 09:06:30 CEST
New Debian exim4 4.89-2+deb9u4A~4.3.4.201906060906 fixes:
This update addresses the following issue:
* Remote command execution in deliver_message() function in /src/deliver.c  (CVE-2019-10149)
Comment 1 Quality Assurance univentionstaff 2019-06-06 10:00:19 CEST
--- mirror/ftp/4.3/unmaintained/4.3-0/source/exim4_4.89-2+deb9u3A~4.3.0.201802210931.dsc
+++ apt/ucs_4.3-0-errata4.3-4/source/exim4_4.89-2+deb9u4A~4.3.4.201906060906.dsc
@@ -1,7 +1,12 @@
-4.89-2+deb9u3A~4.3.0.201802210931 [Wed, 21 Feb 2018 09:31:19 +0100] Univention builddaemon <buildd@univention.de>:
+4.89-2+deb9u4A~4.3.4.201906060906 [Thu, 06 Jun 2019 09:06:44 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     10_default-mta
+
+4.89-2+deb9u4 [Tue, 28 May 2019 22:13:55 +0200] Salvatore Bonaccorso <carnil@debian.org>:
+
+  * Non-maintainer upload by the Security Team.
+  * Fix remote command execution vulnerability (CVE-2019-10149)
 
 4.89-2+deb9u3 [Sat, 10 Feb 2018 09:26:05 +0100] Salvatore Bonaccorso <carnil@debian.org>:
 

<http://10.200.17.11/4.3-4/#6983769379405392977>
Comment 2 Philipp Hahn univentionstaff 2019-06-06 16:08:45 CEST
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.3-4] b7b26c2efe Bug #49602: exim4 4.89-2+deb9u4A~4.3.4.201906060906
 doc/errata/staging/exim4.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

[4.3-4] 76e6faf5c5 Bug #49602: exim4 4.89-2+deb9u4A~4.3.4.201906060906
 doc/errata/staging/exim4.yaml | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 3 Arvid Requate univentionstaff 2019-06-12 16:44:24 CEST
<http://errata.software-univention.de/ucs/4.3/528.html>